AutoCAD .NET :: Selection Of Multiple Nested Entities?

Jan 11, 2013

There are blocks in the drawing, each containing several nested entities. Need a command which would find all the nested entities which got into the selection area provided by user (not necessary to select entities, just get the ids). GetNestedEntity() does what I need but for a single entity only. 

Selection of 'Trim' command does exactly what I need. How could I achieve the same behaviour?

View 5 Replies


ADVERTISEMENT

AutoCAD .NET :: Select Nested Entities

Jan 3, 2013

I select all entities via Editor.SelectAll() method, but the nested entities (inside Blocks) are missing. Do I have to resolve them by iterating through all blocks afterwards or is there a Prompt Selection Option that can be set?

I don't want the user to select the entities, instead I loop through the whole drawing.

View 7 Replies View Related

AutoCAD .NET :: Selecting Nested Entities And Inheriting From BlockReference

May 1, 2012

My primary goal in this exercise is to select a nested polyline within a block and have access to its grips. I'm still not even sure if it's possible.

However, before I'm even getting to that stage I'm hitting some problems. I have some custom objects which all in some way or another inherit from BlockReference:

BlockReference

-Derived Abstract Class with common attributes

-Derived Concrete Class1

-Derived Concrete Class2

-Derived Concrete Class3

I insert instances of my derived concrete classes using jigs( Class2 for example is created using a polyline jig). However, when I select the block generated from it using a PromptSelectionResult, it returns a BlockReference, not the derived concrete class, not the derived abstract class.

When I try and cast that as the correct class type I get an error telling me I can't cast from the Base class to any of the derived classes.

So, firstly, why is it returning a BlockReference when the object I'm clicking on is an instance of a type that indirectly inherits BlockReference? And is it even possible to gain access to a nested entity's grips? I followed post here: [URL] .... but it doesn't give me what I need.

I've tried ed.GetNestedEntity and the AllowSubSelections property of PromptSelectionOptions and had little joy.

View 3 Replies View Related

AutoCAD .NET :: Entities Deselected - How To Keep Selection

Nov 27, 2013

My code takes the selected entities and reads out all the text of the attributes.

If no blocks are selected, the code prompts for a selection.

Unfortunately, by ending the transaction, the entitis are deselected.

So how to keep the selection, because it will be handled in a follow-up step.

Below a shortened code for the procedure:
 
private void Get_Text(){ Autodesk.AutoCAD.Internal.Utils.SetFocusToDwgView(); PromptSelectionResult sel = edt.SelectImplied(); if (sel.Status == PromptStatus.Error) { TypedValue[] auswahl_typ = new TypedValue[] { new TypedValue((int)DxfCode.Start, "INSERT") };

[Code] ......

View 1 Replies View Related

AutoCAD .NET :: Filter Out Frozen Entities From A Selection?

Sep 28, 2011

I'm using a typed value list to create a  selection filter to use with Editor.SelectAll(filter) method. The selection returns both frozen & un-frozen entities. Is there a way to filter out frozen objects using the filter?

View 2 Replies View Related

AutoCAD Civil 3D :: Copy Nested Objects - Selection Methods?

May 3, 2012

I want to copy a lot of referenced entities.  Is there any way to select more than one item at a time using Copy Nested Objects?

Windows 7 x 64
Nvidia GeForce GTS 450
8 GB Ram
Intel Core i5-2310 @ 2.90 GHz
v. F.107.0.0 AutoCAD Civil 3D 2012 SP1

View 1 Replies View Related

AutoCAD Civil 3D :: How To Create Selection Set With All Entities Selected

Aug 20, 2012

How to export a dwg file to bmp.

Autodesk.AECC.Interop.UiPipe.AeccPipeDocument class has a function 'Export'

Export(String fileName, string Extension, Autodesk.AutoCAD.Interop.AcadSelectionSet selectionSet)

the problem is I don't know how to contrust a selectionset with all entites in the drawing selected. I've spent the major part of the day searchin here and in the API reference. But nothing.. how to create such a selection set. I'm using the COM API in C#.net

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Check To See If VIEWPORT Entities Are In Selection Set?

Nov 19, 2013

I have redined AutoCAD's copy command alias to C, but to also do other things, like set a few important variables in the background.  One of the lisps I've incororated are making new viewports, that also create layers that are visibly specific to the viewport being created.

We were tasked a while ago to do an easy job of copying entities (dimensions, text and what not) in a layout.  The problem is, users are copying the viewports too, which is bit more ineffificent than using the create viewport command I developed.

Is there a way to see if a selection set includes (0 . "VIEWPORT") entities?  If the check returns nil, well then all is good.  If the check returns "true", then I can prompt the user that a "VIEWPORT" entity is selected.  I can then exit the command, or ask the user if they are sure they want to copy the "VIEWPORT" entity.

View 6 Replies View Related

AutoCAD .NET :: Selecting Entities In Multiple Layers

Jan 15, 2013

Is it possible to select entities of multiple layers?

I've looked at... [URL] .....

...and tried the following code.
 
string[] layerNames = {"1", "2", "3"};TypedValue[] tdv = new TypedValue[(layerNames.Length * 3) + 2];int i = 0;tdv[i++] = new TypedValue((int)DxfCode.Operator, "<or");foreach (string ln in layerNames){ tdv[i] = new TypedValue((int)DxfCode.Operator, "<and"); tdv[i + 1] = new TypedValue((int)DxfCode.LayerName, ln); tdv[i + 2] = new TypedValue((int)DxfCode.Operator, "and>"); i += 3;}tdv[i - 2] = new TypedValue((int)DxfCode.Operator, "or>");SelectionFilter sf = new SelectionFilter(tdv);PromptSelectionResult psr = ed.SelectAll(sf);
 This code gives me an error in the PromptSelectionResult.

What would cause the erro?

View 1 Replies View Related

AutoCad :: Edit Text Attributes Nested In Multiple Blocks?

Jun 22, 2010

I have a .dwg file which contains numerous blocks (70 or so) and they all have unique names.All these blocks have nested text.

I want to edit the attributes of all the text, in all these blocks, such that they assume the same text style, text layer and colour.

Obviously, with so many blocks, I want to avoid clicking on the text and editing the attributes individually.

I tried a lisp file called ATcolour.lisp, but even this is very time consuming.

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Create Selection Set Of All Entities Inside Unnamed GROUP

Jan 17, 2012

I am trying to create a selection set (or LIST) of all objects inside a unnamed GROUP.

I found a means to access the unnamed group, however I am having trouble creating the list.
 
Command: (entget (cdr (assoc 350 (dictsearch (namedobjdict) "ACAD_GROUP"))))((-1 . <Entity name: 7efe6280>) (0 . "GROUP") (5 . "130") (102 . "{ACAD_REACTORS")(330 . <Entity name: 7efe5c68>) (102 . "}") (330 . <Entity name: 7efe5c68>) (100 . "AcDbGroup") (300 . "") (70 . 1) (71 . 1) (340 . <Entity name: 7efe6268>) (340 . <Entity name: 7efe6260>))

In the example above, there are 2 entities in the group.

What I want to do is to remove a certain entity from the GROUP, then delete the entity.

Repeat until all entities of that type are removed (I can figure this part out...).

How do I create a Selection Set (or LIST) of all entities inside a GROUP?

To access the first GROUP name in the dictionary:

(cdr (assoc 3 (dictsearch (namedobjdict) "ACAD_GROUP")))

View 1 Replies View Related

AutoCAD 2010 :: Change Multiple Entities Of Mtext?

Sep 26, 2012

I was wondering if there is a way to change multiple entities of Mtext. I tried CHT but the options are limited. Is there a way of say changing the color?

View 6 Replies View Related

AutoCAD .NET :: Jig Multiple Entities Such As Insert Block And Add Line?

Mar 26, 2013

How to Jig multiple entities such as insert a block and add a line.

View 3 Replies View Related

AutoCAD Inventor :: Use API To Add Coincident Constraint For Multiple Entities

Nov 19, 2013

I have created multiple sketch entities like line, arc, circle etc. using the Inventor API's. Now I want to add the coincident constraint between start point of line, start point of arc and center point of circle.

I have added coincident constraint through UI(Please see attached snap). The same I want to add using Inventor API's. which API I should use to add the coincident constraint for such multiple entities.

View 1 Replies View Related

Revit :: Auto Nested Family Selection For Lintel Types?

Aug 10, 2013

In a window family, is it possible to call for a nested element to be determined automatically, and for that family to be schedulable ?
 
In my case, I have a window type, that is arrayed so that it can adapt to suit openings that can vary considerably in size.
 
I would like the lintel selection to be determined automatically by the size of the opening - selecting a specific lintel type from within a common type based on the overall span. The lintel in question will vary in it's specification, it is not merely a size.
 
ie. Windows
<1200mm - use Lintel Type A1 (100mm deep)
1200mm - 1800 use lintel Type A2 (215mm deep)
1800 - 2400mm use lintel Type A3
2400 - 3600mm use lintel Type A4
>3600mm use lintel Type B1 (different construction type altogether)
 
these should then be identified in the window schedule - identifying lintel type and length (length = window opening +150mm bearing at each end).
 
It may be quite a bit of work in getting this systme working, but we have a scheme with 250+ windows, and a further 3-4 buildings that will be using the exact same types - running to 1000+ windows in total. So to get this working would be a great time-saver.

View 3 Replies View Related

AutoCAD .NET :: Select Multiple Entities And Have Matching Data Shown In Palette

Jul 25, 2011

The 'application' I am trying to make currently adds entites to a drawing. Each entity has data associated with it but also part of a tree of infomation so I store xrecord data along with the objectID in a dictionary tree within the drawing. 

I want to be able to select multiple entities and have any matching data shown in a palette. The same way the properties palette behaves.

I have it working but I can see AutoCAD crunching the data. It cycles through the selection set and the dictionary tree extracting entity data until it finds an ID match in the xrecord.

How the properties palette works so quickly or how I could improve the speed.

View 2 Replies View Related

AutoCAD Map 3D :: Saving Current Map Makes Labels Multiple Text Entities

Dec 29, 2011

I am trying to save road centerlines with labels to an AutoCAD drawing.  On the Output Tab I click Save Current Map to AutoCAD.  When I open the AutoCAD drawing I created each letter in the label is a seperate text entity.  Like Main St is not one entity, it is 6 different text entities.

View 3 Replies View Related

AutoCAD 2010 :: Multiple Grip Selection Not Working When Pan Or Zoom During Selection

Jul 12, 2011

When I select a hatch or polyline or any object with grips for that matter, and hold down shift to select multiple grips on the object or objects and then press my middle mouse button to pan or scroll it to zoom, the grips that I have selected de-select, meaning I have to set up the view so that all the grips I want to move are visible before selecting them.

This is only happening on some drawings (although it is most of them) and only when I use 2012 not 2011. Which system variable it is that has gone screwy that I need to reset? or is it something else?

View 9 Replies View Related

Illustrator :: How To Add Gradient Across Multiple Nested Circles

Mar 14, 2013

Here is the image I am working on:

I need to know how to make it look like this:
 
There are two things going on in the origina: the S-shaped semi-transparent overlay, and a linear gradient that lightens on the top and bottom and darkens in the middle. Also, note the transparent space between the "outline shape" and the inner circles.
 
So - two things. 1) How do I apply a gradient to the entire shape, and 2) put the all-white overlay on top (overlay should be confined to the shape as well).

View 7 Replies View Related

Photoshop :: Using Multiple Nested Smart Objects - File Size

Jul 22, 2013

But when using a nested smart object (meaning a smart object within a smart object) Photoshop CS5 doesn't display the correct file size (at bottom left) or seem to account for the nested smart object file size.  Is there a "setting" I’m missing to accurately display what the true file size is?
 
The Problem: Using multiple nested smart objects that I have reduced the size of my image to be 260x200 for web export. Photoshop CS5 won't let me save a file that appears to be only 3mbs claiming it's over 2 gig's. See image below.
 
Really not sure what to do about this, the company I work for makes lots of changes so using smart objects is necessary for my work flow. But also seems to be slowing me down trying to figure out issues like this and is problematic when it comes to saving all the work I have been doing.

View 6 Replies View Related

AutoCAD .NET :: Selection Filter On Multiple Layers?

Apr 25, 2012

to select object on a single layer

Dim strLayer as string = "road"acTypValAr.SetValue(New TypedValue(DxfCode.LayerName, strLayer), 2)  

how do you select all objects on multiple layers

Dim strLayer as string = "road,sidewalks"acTypValAr.SetValue(New TypedValue(DxfCode.LayerName, strLayer), 2)  

the above does not work. how do you select all objects on multiple layers?

View 3 Replies View Related

AutoCAD 2013 :: Multiple Selection For Ncopy

Jul 23, 2013

Ncopy let us to copy object from blocks without explode but I couldn't select object multiple or by window selection..

what I can do to select multiple while using NCOPY command.

View 6 Replies View Related

AutoCAD .NET :: Cannot Store Multiple Selection Sets

Nov 15, 2012

From the AutoDESK docs [URL] ......

"AutoCAD.Application.ActiveDocument.SelectionSets. Add method
Not needed/provided" in VB.Net

Thus 'Autodesk.AutoCAD.ApplicationServices.Application. DocumentManager.MdiActiveDocument.SelectionSets' will not work.

So, I can't store multiple selection sets in VB.Net?

Why is it not provided? Or is there some other way to do that?

View 9 Replies View Related

AutoCad 2D :: Selection Deselection Multiple Picking?

Mar 22, 2012

All of a sudden my Cad is now not allowing me to select multiple items one at a time without deselected the ones before. Everytime I select a new item to move it, the grips off of another item I would be moving would deselect. Where is the setting to set this back to where I can individually select multiple items without AutoCad deselecting the what I had selected already.

View 3 Replies View Related

AutoCAD .NET :: Multisheet PDF With Multiple Selection Of Windows In Modelspace?

Sep 30, 2013

i'm trying to create a routine, where i can select multiple windows in modelspace, and the plot a multisheet pdf.but I'm having trouble to create multiple pages, it only generates 1 page

I have modified sourcecode from Kean Walmsley:

[URL]

- this routine creates a single-page pdf with only the last selected window.

- the pc3-file I use is able to create multisheets because the original routine with paperspace works fine

- I think it has maybe something to do with the pi.Layout = lo.Id ?
 
<CommandMethod("mplot2")> Public Sub MultiSheetPlot2() Dim doc As Document = Application.DocumentManager.MdiActiveDocument Dim ed As Autodesk.AutoCAD.EditorInput.Editor = doc.Editor Dim db As Database = doc.Database Dim tr As Transaction = db.TransactionManager.StartTransaction() Using tr Dim bt As BlockTable = DirectCast(tr.GetObject(db.BlockTableId, OpenMode.ForRead), BlockTable) Dim pi As New PlotInfo() Dim piv As New PlotInfoValidator() piv.MediaMatchingPolicy = MatchingPolicy.MatchEnabled ' A PlotEngine does the actual plotting ' (can also create one for Preview) If PlotFactory.ProcessPlotState = Autodesk.AutoCAD.PlottingServices.ProcessPlotState.NotPlotting Then Dim pe As PlotEngine = PlotFactory.CreatePublishEngine() Using pe ' Create a Progress

[code]....

View 6 Replies View Related

AutoCAD 2010 :: Multiple Selection Of Objects By One Type

May 11, 2012

 My question is, if there any tool /command, utility in autocad to select all objects of one type at one time : for example all text objects or all dimention objects  if these objects on different layers and have different properties. in my work I have to insert many blocks(not annotative) or parts of drawings which were created by other people and have different from mine settings and properties of text and dimention objects. the insertions add so many layers and objects that I spend lots of time to correct them and to figure it  out.

is there any way( command, utility) to select and manage all of these  objects at one time?

P.S.i think it is very unconvenient that the  plain autocad  does not have dimentions and text as families or some sort of groups that s easy to manage.

View 1 Replies View Related

AutoCAD .NET :: Create Selection Set And Get Insert Point Of Multiple Blocks

Jul 3, 2012

What I am trying to do is create a selection set of blocks with the same name. Then step through the selection set and if the block has an attribute "Tag" with a Specific "Value" then get the insert point.

View 2 Replies View Related

AutoCAD Civil 3D :: Multiple Selection Surface Site Grading On Prospector

Aug 28, 2012

When a file has many surfaces, gradings and sites manually delete them is slow ¿is there a method to select multiple sites, surfaces and gradings on prospector and delete them all at once and not one by one?

View 1 Replies View Related

Photoshop :: Multiple Selection

Jan 27, 2007

How do I multiply select 2 or more layers using PS2?

View 1 Replies View Related

CorelDRAW X5 :: Multiple Selection Within Group

Mar 29, 2011

Is there a way I can do a multiple selection from within a group (without ungrouping)?

View 9 Replies View Related

3ds Max Modeling :: How To Set Value To Multiple Vertex Selection

Jan 29, 2012

I would like to know if it's possible to set a value to a multiple vertex selection.

Exemple : I have 15 vertex selected with different values on z axis.

I want to set all vertex to -100mm for exemple (in one action).

View 3 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved